Package org.kapott.hbci.sepa.jaxb.pain_002_001_12

## Class ObjectFactory

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_12.ObjectFactory

    public class ObjectFactory
    extends java.lang.Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.kapott.hbci.sepa.jaxb.pain_002_001_12 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

### Constructor Summary

Constructors
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.kapott.hbci.sepa.jaxb.pain_002_001_12

### Method Summary

All Methods Instance Methods Concrete Methods
`AccountIdentification4Choice` `createAccountIdentification4Choice()` Create an instance of `AccountIdentification4Choice`
`AccountSchemeName1Choice` `createAccountSchemeName1Choice()` Create an instance of `AccountSchemeName1Choice`
`ActiveCurrencyAndAmount` `createActiveCurrencyAndAmount()` Create an instance of `ActiveCurrencyAndAmount`
`ActiveOrHistoricCurrencyAndAmount` `createActiveOrHistoricCurrencyAndAmount()` Create an instance of `ActiveOrHistoricCurrencyAndAmount`
`AddressType3Choice` `createAddressType3Choice()` Create an instance of `AddressType3Choice`
`AmendmentInformationDetails14` `createAmendmentInformationDetails14()` Create an instance of `AmendmentInformationDetails14`
`AmountType4Choice` `createAmountType4Choice()` Create an instance of `AmountType4Choice`
`BranchAndFinancialInstitutionIdentification6` `createBranchAndFinancialInstitutionIdentification6()` Create an instance of `BranchAndFinancialInstitutionIdentification6`
`BranchData3` `createBranchData3()` Create an instance of `BranchData3`
`CashAccount40` `createCashAccount40()` Create an instance of `CashAccount40`
`CashAccountType2Choice` `createCashAccountType2Choice()` Create an instance of `CashAccountType2Choice`
`CategoryPurpose1Choice` `createCategoryPurpose1Choice()` Create an instance of `CategoryPurpose1Choice`
`Charges7` `createCharges7()` Create an instance of `Charges7`
`ClearingSystemIdentification2Choice` `createClearingSystemIdentification2Choice()` Create an instance of `ClearingSystemIdentification2Choice`
`ClearingSystemIdentification3Choice` `createClearingSystemIdentification3Choice()` Create an instance of `ClearingSystemIdentification3Choice`
`ClearingSystemMemberIdentification2` `createClearingSystemMemberIdentification2()` Create an instance of `ClearingSystemMemberIdentification2`
`Contact4` `createContact4()` Create an instance of `Contact4`
`CreditorReferenceInformation2` `createCreditorReferenceInformation2()` Create an instance of `CreditorReferenceInformation2`
`CreditorReferenceType1Choice` `createCreditorReferenceType1Choice()` Create an instance of `CreditorReferenceType1Choice`
`CreditorReferenceType2` `createCreditorReferenceType2()` Create an instance of `CreditorReferenceType2`
`CreditTransferMandateData1` `createCreditTransferMandateData1()` Create an instance of `CreditTransferMandateData1`
`CurrencyExchange13` `createCurrencyExchange13()` Create an instance of `CurrencyExchange13`
`CustomerPaymentStatusReportV12` `createCustomerPaymentStatusReportV12()` Create an instance of `CustomerPaymentStatusReportV12`
`DateAndDateTime2Choice` `createDateAndDateTime2Choice()` Create an instance of `DateAndDateTime2Choice`
`DateAndPlaceOfBirth1` `createDateAndPlaceOfBirth1()` Create an instance of `DateAndPlaceOfBirth1`
`DatePeriod2` `createDatePeriod2()` Create an instance of `DatePeriod2`
`DiscountAmountAndType1` `createDiscountAmountAndType1()` Create an instance of `DiscountAmountAndType1`
`DiscountAmountType1Choice` `createDiscountAmountType1Choice()` Create an instance of `DiscountAmountType1Choice`
`Document` `createDocument()` Create an instance of `Document`
`javax.xml.bind.JAXBElement<Document>` `createDocument​(Document value)` Create an instance of `JAXBElement``<``Document``>`
`DocumentAdjustment1` `createDocumentAdjustment1()` Create an instance of `DocumentAdjustment1`
`DocumentLineIdentification1` `createDocumentLineIdentification1()` Create an instance of `DocumentLineIdentification1`
`DocumentLineInformation1` `createDocumentLineInformation1()` Create an instance of `DocumentLineInformation1`
`DocumentLineType1` `createDocumentLineType1()` Create an instance of `DocumentLineType1`
`DocumentLineType1Choice` `createDocumentLineType1Choice()` Create an instance of `DocumentLineType1Choice`
`EquivalentAmount2` `createEquivalentAmount2()` Create an instance of `EquivalentAmount2`
`FinancialIdentificationSchemeName1Choice` `createFinancialIdentificationSchemeName1Choice()` Create an instance of `FinancialIdentificationSchemeName1Choice`
`FinancialInstitutionIdentification18` `createFinancialInstitutionIdentification18()` Create an instance of `FinancialInstitutionIdentification18`
`Frequency36Choice` `createFrequency36Choice()` Create an instance of `Frequency36Choice`
`FrequencyAndMoment1` `createFrequencyAndMoment1()` Create an instance of `FrequencyAndMoment1`
`FrequencyPeriod1` `createFrequencyPeriod1()` Create an instance of `FrequencyPeriod1`
`Garnishment3` `createGarnishment3()` Create an instance of `Garnishment3`
`GarnishmentType1` `createGarnishmentType1()` Create an instance of `GarnishmentType1`
`GarnishmentType1Choice` `createGarnishmentType1Choice()` Create an instance of `GarnishmentType1Choice`
`GenericAccountIdentification1` `createGenericAccountIdentification1()` Create an instance of `GenericAccountIdentification1`
`GenericFinancialIdentification1` `createGenericFinancialIdentification1()` Create an instance of `GenericFinancialIdentification1`
`GenericIdentification30` `createGenericIdentification30()` Create an instance of `GenericIdentification30`
`GenericOrganisationIdentification1` `createGenericOrganisationIdentification1()` Create an instance of `GenericOrganisationIdentification1`
`GenericPersonIdentification1` `createGenericPersonIdentification1()` Create an instance of `GenericPersonIdentification1`
`GroupHeader86` `createGroupHeader86()` Create an instance of `GroupHeader86`
`LocalInstrument2Choice` `createLocalInstrument2Choice()` Create an instance of `LocalInstrument2Choice`
`MandateClassification1Choice` `createMandateClassification1Choice()` Create an instance of `MandateClassification1Choice`
`MandateRelatedData2Choice` `createMandateRelatedData2Choice()` Create an instance of `MandateRelatedData2Choice`
`MandateRelatedInformation15` `createMandateRelatedInformation15()` Create an instance of `MandateRelatedInformation15`
`MandateSetupReason1Choice` `createMandateSetupReason1Choice()` Create an instance of `MandateSetupReason1Choice`
`MandateTypeInformation2` `createMandateTypeInformation2()` Create an instance of `MandateTypeInformation2`
`NumberOfTransactionsPerStatus5` `createNumberOfTransactionsPerStatus5()` Create an instance of `NumberOfTransactionsPerStatus5`
`OrganisationIdentification29` `createOrganisationIdentification29()` Create an instance of `OrganisationIdentification29`
`OrganisationIdentificationSchemeName1Choice` `createOrganisationIdentificationSchemeName1Choice()` Create an instance of `OrganisationIdentificationSchemeName1Choice`
`OriginalGroupHeader17` `createOriginalGroupHeader17()` Create an instance of `OriginalGroupHeader17`
`OriginalPaymentInstruction40` `createOriginalPaymentInstruction40()` Create an instance of `OriginalPaymentInstruction40`
`OriginalTransactionReference35` `createOriginalTransactionReference35()` Create an instance of `OriginalTransactionReference35`
`OtherContact1` `createOtherContact1()` Create an instance of `OtherContact1`
`Party38Choice` `createParty38Choice()` Create an instance of `Party38Choice`
`Party40Choice` `createParty40Choice()` Create an instance of `Party40Choice`
`PartyIdentification135` `createPartyIdentification135()` Create an instance of `PartyIdentification135`
`PaymentTransaction129` `createPaymentTransaction129()` Create an instance of `PaymentTransaction129`
`PaymentTypeInformation27` `createPaymentTypeInformation27()` Create an instance of `PaymentTypeInformation27`
`PersonIdentification13` `createPersonIdentification13()` Create an instance of `PersonIdentification13`
`PersonIdentificationSchemeName1Choice` `createPersonIdentificationSchemeName1Choice()` Create an instance of `PersonIdentificationSchemeName1Choice`
`PostalAddress24` `createPostalAddress24()` Create an instance of `PostalAddress24`
`ProxyAccountIdentification1` `createProxyAccountIdentification1()` Create an instance of `ProxyAccountIdentification1`
`ProxyAccountType1Choice` `createProxyAccountType1Choice()` Create an instance of `ProxyAccountType1Choice`
`Purpose2Choice` `createPurpose2Choice()` Create an instance of `Purpose2Choice`
`ReferredDocumentInformation7` `createReferredDocumentInformation7()` Create an instance of `ReferredDocumentInformation7`
`ReferredDocumentType3Choice` `createReferredDocumentType3Choice()` Create an instance of `ReferredDocumentType3Choice`
`ReferredDocumentType4` `createReferredDocumentType4()` Create an instance of `ReferredDocumentType4`
`RemittanceAmount2` `createRemittanceAmount2()` Create an instance of `RemittanceAmount2`
`RemittanceAmount3` `createRemittanceAmount3()` Create an instance of `RemittanceAmount3`
`RemittanceInformation21` `createRemittanceInformation21()` Create an instance of `RemittanceInformation21`
`ServiceLevel8Choice` `createServiceLevel8Choice()` Create an instance of `ServiceLevel8Choice`
`SettlementInstruction11` `createSettlementInstruction11()` Create an instance of `SettlementInstruction11`
`StatusReason6Choice` `createStatusReason6Choice()` Create an instance of `StatusReason6Choice`
`StatusReasonInformation12` `createStatusReasonInformation12()` Create an instance of `StatusReasonInformation12`
`StructuredRemittanceInformation17` `createStructuredRemittanceInformation17()` Create an instance of `StructuredRemittanceInformation17`
`SupplementaryData1` `createSupplementaryData1()` Create an instance of `SupplementaryData1`
`SupplementaryDataEnvelope1` `createSupplementaryDataEnvelope1()` Create an instance of `SupplementaryDataEnvelope1`
`TaxAmount3` `createTaxAmount3()` Create an instance of `TaxAmount3`
`TaxAmountAndType1` `createTaxAmountAndType1()` Create an instance of `TaxAmountAndType1`
`TaxAmountType1Choice` `createTaxAmountType1Choice()` Create an instance of `TaxAmountType1Choice`
`TaxAuthorisation1` `createTaxAuthorisation1()` Create an instance of `TaxAuthorisation1`
`TaxData1` `createTaxData1()` Create an instance of `TaxData1`
`TaxParty1` `createTaxParty1()` Create an instance of `TaxParty1`
`TaxParty2` `createTaxParty2()` Create an instance of `TaxParty2`
`TaxPeriod3` `createTaxPeriod3()` Create an instance of `TaxPeriod3`
`TaxRecord3` `createTaxRecord3()` Create an instance of `TaxRecord3`
`TaxRecordDetails3` `createTaxRecordDetails3()` Create an instance of `TaxRecordDetails3`
`TrackerData1` `createTrackerData1()` Create an instance of `TrackerData1`
`TrackerRecord1` `createTrackerRecord1()` Create an instance of `TrackerRecord1`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectFactory

    public ObjectFactory()

Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.kapott.hbci.sepa.jaxb.pain_002_001_12

### Method Detail

#### createDocument

    public Document createDocument()

Create an instance of `Document`

#### createAccountIdentification4Choice

    public AccountIdentification4Choice createAccountIdentification4Choice()

Create an instance of `AccountIdentification4Choice`

#### createAccountSchemeName1Choice

    public AccountSchemeName1Choice createAccountSchemeName1Choice()

Create an instance of `AccountSchemeName1Choice`

#### createActiveCurrencyAndAmount

    public ActiveCurrencyAndAmount createActiveCurrencyAndAmount()

Create an instance of `ActiveCurrencyAndAmount`

#### createActiveOrHistoricCurrencyAndAmount

    public ActiveOrHistoricCurrencyAndAmount createActiveOrHistoricCurrencyAndAmount()

Create an instance of `ActiveOrHistoricCurrencyAndAmount`

#### createAddressType3Choice

    public AddressType3Choice createAddressType3Choice()

Create an instance of `AddressType3Choice`

#### createAmendmentInformationDetails14

    public AmendmentInformationDetails14 createAmendmentInformationDetails14()

Create an instance of `AmendmentInformationDetails14`

#### createAmountType4Choice

    public AmountType4Choice createAmountType4Choice()

Create an instance of `AmountType4Choice`

#### createBranchAndFinancialInstitutionIdentification6

    public BranchAndFinancialInstitutionIdentification6 createBranchAndFinancialInstitutionIdentification6()

Create an instance of `BranchAndFinancialInstitutionIdentification6`

#### createBranchData3

    public BranchData3 createBranchData3()

Create an instance of `BranchData3`

#### createCashAccount40

    public CashAccount40 createCashAccount40()

Create an instance of `CashAccount40`

#### createCashAccountType2Choice

    public CashAccountType2Choice createCashAccountType2Choice()

Create an instance of `CashAccountType2Choice`

#### createCategoryPurpose1Choice

    public CategoryPurpose1Choice createCategoryPurpose1Choice()

Create an instance of `CategoryPurpose1Choice`

#### createCharges7

    public Charges7 createCharges7()

Create an instance of `Charges7`

#### createClearingSystemIdentification2Choice

    public ClearingSystemIdentification2Choice createClearingSystemIdentification2Choice()

Create an instance of `ClearingSystemIdentification2Choice`

#### createClearingSystemIdentification3Choice

    public ClearingSystemIdentification3Choice createClearingSystemIdentification3Choice()

Create an instance of `ClearingSystemIdentification3Choice`

#### createClearingSystemMemberIdentification2

    public ClearingSystemMemberIdentification2 createClearingSystemMemberIdentification2()

Create an instance of `ClearingSystemMemberIdentification2`

#### createContact4

    public Contact4 createContact4()

Create an instance of `Contact4`

#### createCreditTransferMandateData1

    public CreditTransferMandateData1 createCreditTransferMandateData1()

Create an instance of `CreditTransferMandateData1`

#### createCreditorReferenceInformation2

    public CreditorReferenceInformation2 createCreditorReferenceInformation2()

Create an instance of `CreditorReferenceInformation2`

#### createCreditorReferenceType1Choice

    public CreditorReferenceType1Choice createCreditorReferenceType1Choice()

Create an instance of `CreditorReferenceType1Choice`

#### createCreditorReferenceType2

    public CreditorReferenceType2 createCreditorReferenceType2()

Create an instance of `CreditorReferenceType2`

#### createCurrencyExchange13

    public CurrencyExchange13 createCurrencyExchange13()

Create an instance of `CurrencyExchange13`

#### createCustomerPaymentStatusReportV12

    public CustomerPaymentStatusReportV12 createCustomerPaymentStatusReportV12()

Create an instance of `CustomerPaymentStatusReportV12`

#### createDateAndDateTime2Choice

    public DateAndDateTime2Choice createDateAndDateTime2Choice()

Create an instance of `DateAndDateTime2Choice`

#### createDateAndPlaceOfBirth1

    public DateAndPlaceOfBirth1 createDateAndPlaceOfBirth1()

Create an instance of `DateAndPlaceOfBirth1`

#### createDatePeriod2

    public DatePeriod2 createDatePeriod2()

Create an instance of `DatePeriod2`

#### createDiscountAmountAndType1

    public DiscountAmountAndType1 createDiscountAmountAndType1()

Create an instance of `DiscountAmountAndType1`

#### createDiscountAmountType1Choice

    public DiscountAmountType1Choice createDiscountAmountType1Choice()

Create an instance of `DiscountAmountType1Choice`

#### createDocumentAdjustment1

    public DocumentAdjustment1 createDocumentAdjustment1()

Create an instance of `DocumentAdjustment1`

#### createDocumentLineIdentification1

    public DocumentLineIdentification1 createDocumentLineIdentification1()

Create an instance of `DocumentLineIdentification1`

#### createDocumentLineInformation1

    public DocumentLineInformation1 createDocumentLineInformation1()

Create an instance of `DocumentLineInformation1`

#### createDocumentLineType1

    public DocumentLineType1 createDocumentLineType1()

Create an instance of `DocumentLineType1`

#### createDocumentLineType1Choice

    public DocumentLineType1Choice createDocumentLineType1Choice()

Create an instance of `DocumentLineType1Choice`

#### createEquivalentAmount2

    public EquivalentAmount2 createEquivalentAmount2()

Create an instance of `EquivalentAmount2`

#### createFinancialIdentificationSchemeName1Choice

    public FinancialIdentificationSchemeName1Choice createFinancialIdentificationSchemeName1Choice()

Create an instance of `FinancialIdentificationSchemeName1Choice`

#### createFinancialInstitutionIdentification18

    public FinancialInstitutionIdentification18 createFinancialInstitutionIdentification18()

Create an instance of `FinancialInstitutionIdentification18`

#### createFrequency36Choice

    public Frequency36Choice createFrequency36Choice()

Create an instance of `Frequency36Choice`

#### createFrequencyAndMoment1

    public FrequencyAndMoment1 createFrequencyAndMoment1()

Create an instance of `FrequencyAndMoment1`

#### createFrequencyPeriod1

    public FrequencyPeriod1 createFrequencyPeriod1()

Create an instance of `FrequencyPeriod1`

#### createGarnishment3

    public Garnishment3 createGarnishment3()

Create an instance of `Garnishment3`

#### createGarnishmentType1

    public GarnishmentType1 createGarnishmentType1()

Create an instance of `GarnishmentType1`

#### createGarnishmentType1Choice

    public GarnishmentType1Choice createGarnishmentType1Choice()

Create an instance of `GarnishmentType1Choice`

#### createGenericAccountIdentification1

    public GenericAccountIdentification1 createGenericAccountIdentification1()

Create an instance of `GenericAccountIdentification1`

#### createGenericFinancialIdentification1

    public GenericFinancialIdentification1 createGenericFinancialIdentification1()

Create an instance of `GenericFinancialIdentification1`

#### createGenericIdentification30

    public GenericIdentification30 createGenericIdentification30()

Create an instance of `GenericIdentification30`

#### createGenericOrganisationIdentification1

    public GenericOrganisationIdentification1 createGenericOrganisationIdentification1()

Create an instance of `GenericOrganisationIdentification1`

#### createGenericPersonIdentification1

    public GenericPersonIdentification1 createGenericPersonIdentification1()

Create an instance of `GenericPersonIdentification1`

#### createGroupHeader86

    public GroupHeader86 createGroupHeader86()

Create an instance of `GroupHeader86`

#### createLocalInstrument2Choice

    public LocalInstrument2Choice createLocalInstrument2Choice()

Create an instance of `LocalInstrument2Choice`

#### createMandateClassification1Choice

    public MandateClassification1Choice createMandateClassification1Choice()

Create an instance of `MandateClassification1Choice`

#### createMandateRelatedData2Choice

    public MandateRelatedData2Choice createMandateRelatedData2Choice()

Create an instance of `MandateRelatedData2Choice`

#### createMandateRelatedInformation15

    public MandateRelatedInformation15 createMandateRelatedInformation15()

Create an instance of `MandateRelatedInformation15`

#### createMandateSetupReason1Choice

    public MandateSetupReason1Choice createMandateSetupReason1Choice()

Create an instance of `MandateSetupReason1Choice`

#### createMandateTypeInformation2

    public MandateTypeInformation2 createMandateTypeInformation2()

Create an instance of `MandateTypeInformation2`

#### createNumberOfTransactionsPerStatus5

    public NumberOfTransactionsPerStatus5 createNumberOfTransactionsPerStatus5()

Create an instance of `NumberOfTransactionsPerStatus5`

#### createOrganisationIdentification29

    public OrganisationIdentification29 createOrganisationIdentification29()

Create an instance of `OrganisationIdentification29`

#### createOrganisationIdentificationSchemeName1Choice

    public OrganisationIdentificationSchemeName1Choice createOrganisationIdentificationSchemeName1Choice()

Create an instance of `OrganisationIdentificationSchemeName1Choice`

#### createOriginalGroupHeader17

    public OriginalGroupHeader17 createOriginalGroupHeader17()

Create an instance of `OriginalGroupHeader17`

#### createOriginalPaymentInstruction40

    public OriginalPaymentInstruction40 createOriginalPaymentInstruction40()

Create an instance of `OriginalPaymentInstruction40`

#### createOriginalTransactionReference35

    public OriginalTransactionReference35 createOriginalTransactionReference35()

Create an instance of `OriginalTransactionReference35`

#### createOtherContact1

    public OtherContact1 createOtherContact1()

Create an instance of `OtherContact1`

#### createParty38Choice

    public Party38Choice createParty38Choice()

Create an instance of `Party38Choice`

#### createParty40Choice

    public Party40Choice createParty40Choice()

Create an instance of `Party40Choice`

#### createPartyIdentification135

    public PartyIdentification135 createPartyIdentification135()

Create an instance of `PartyIdentification135`

#### createPaymentTransaction129

    public PaymentTransaction129 createPaymentTransaction129()

Create an instance of `PaymentTransaction129`

#### createPaymentTypeInformation27

    public PaymentTypeInformation27 createPaymentTypeInformation27()

Create an instance of `PaymentTypeInformation27`

#### createPersonIdentification13

    public PersonIdentification13 createPersonIdentification13()

Create an instance of `PersonIdentification13`

#### createPersonIdentificationSchemeName1Choice

    public PersonIdentificationSchemeName1Choice createPersonIdentificationSchemeName1Choice()

Create an instance of `PersonIdentificationSchemeName1Choice`

#### createPostalAddress24

    public PostalAddress24 createPostalAddress24()

Create an instance of `PostalAddress24`

#### createProxyAccountIdentification1

    public ProxyAccountIdentification1 createProxyAccountIdentification1()

Create an instance of `ProxyAccountIdentification1`

#### createProxyAccountType1Choice

    public ProxyAccountType1Choice createProxyAccountType1Choice()

Create an instance of `ProxyAccountType1Choice`

#### createPurpose2Choice

    public Purpose2Choice createPurpose2Choice()

Create an instance of `Purpose2Choice`

#### createReferredDocumentInformation7

    public ReferredDocumentInformation7 createReferredDocumentInformation7()

Create an instance of `ReferredDocumentInformation7`

#### createReferredDocumentType3Choice

    public ReferredDocumentType3Choice createReferredDocumentType3Choice()

Create an instance of `ReferredDocumentType3Choice`

#### createReferredDocumentType4

    public ReferredDocumentType4 createReferredDocumentType4()

Create an instance of `ReferredDocumentType4`

#### createRemittanceAmount2

    public RemittanceAmount2 createRemittanceAmount2()

Create an instance of `RemittanceAmount2`

#### createRemittanceAmount3

    public RemittanceAmount3 createRemittanceAmount3()

Create an instance of `RemittanceAmount3`

#### createRemittanceInformation21

    public RemittanceInformation21 createRemittanceInformation21()

Create an instance of `RemittanceInformation21`

#### createServiceLevel8Choice

    public ServiceLevel8Choice createServiceLevel8Choice()

Create an instance of `ServiceLevel8Choice`

#### createSettlementInstruction11

    public SettlementInstruction11 createSettlementInstruction11()

Create an instance of `SettlementInstruction11`

#### createStatusReason6Choice

    public StatusReason6Choice createStatusReason6Choice()

Create an instance of `StatusReason6Choice`

#### createStatusReasonInformation12

    public StatusReasonInformation12 createStatusReasonInformation12()

Create an instance of `StatusReasonInformation12`

#### createStructuredRemittanceInformation17

    public StructuredRemittanceInformation17 createStructuredRemittanceInformation17()

Create an instance of `StructuredRemittanceInformation17`

#### createSupplementaryData1

    public SupplementaryData1 createSupplementaryData1()

Create an instance of `SupplementaryData1`

#### createSupplementaryDataEnvelope1

    public SupplementaryDataEnvelope1 createSupplementaryDataEnvelope1()

Create an instance of `SupplementaryDataEnvelope1`

#### createTaxAmount3

    public TaxAmount3 createTaxAmount3()

Create an instance of `TaxAmount3`

#### createTaxAmountAndType1

    public TaxAmountAndType1 createTaxAmountAndType1()

Create an instance of `TaxAmountAndType1`

#### createTaxAmountType1Choice

    public TaxAmountType1Choice createTaxAmountType1Choice()

Create an instance of `TaxAmountType1Choice`

#### createTaxAuthorisation1

    public TaxAuthorisation1 createTaxAuthorisation1()

Create an instance of `TaxAuthorisation1`

#### createTaxData1

    public TaxData1 createTaxData1()

Create an instance of `TaxData1`

#### createTaxParty1

    public TaxParty1 createTaxParty1()

Create an instance of `TaxParty1`

#### createTaxParty2

    public TaxParty2 createTaxParty2()

Create an instance of `TaxParty2`

#### createTaxPeriod3

    public TaxPeriod3 createTaxPeriod3()

Create an instance of `TaxPeriod3`

#### createTaxRecord3

    public TaxRecord3 createTaxRecord3()

Create an instance of `TaxRecord3`

#### createTaxRecordDetails3

    public TaxRecordDetails3 createTaxRecordDetails3()

Create an instance of `TaxRecordDetails3`

#### createTrackerData1

    public TrackerData1 createTrackerData1()

Create an instance of `TrackerData1`

#### createTrackerRecord1

    public TrackerRecord1 createTrackerRecord1()

Create an instance of `TrackerRecord1`

#### createDocument

    public javax.xml.bind.JAXBElement<Document> createDocument​(Document value)

Create an instance of `JAXBElement``<``Document``>`

Parameters:
  `value` - Java instance representing xml element's value.
Returns:
  the new instance of `JAXBElement``<``Document``>`